/*
 * Tienda online
 * Proyecto Fin de Máster de Ingeniería Informatica UOC
 * Emilio Domínguez Sánchez
 * 
 */
package tiendaonline.web.pages.categoria;

import java.util.List;

import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.ioc.annotations.Inject;

import tiendaonline.model.administradorservice.AdministradorService;
import tiendaonline.model.categoria.Categoria;
import tiendaonline.web.services.Private;

/**
 *
 * @author Emilio
 */
@Private
public class ModificarCategoria {

	@Property
	Categoria categoria;

	@Inject
	private AdministradorService administradorService;

	public List<Categoria> getListaCategoria() {
		return administradorService.listaCategoria();
	}

	public List<Categoria> getCategorias() {
		return administradorService.listaCategoria();

	}

}
