/*
 * Tienda online
 * Proyecto Fin de Máster de Ingeniería Informatica UOC
 * Emilio Domínguez Sánchez
 * 
 */

package tiendaonline.model.categoria;

import java.util.List;

import es.udc.pojo.modelutil.dao.GenericDao;
import es.udc.pojo.modelutil.exceptions.InstanceNotFoundException;

/**
 *
 * @author emilio
 */
public interface CategoriaDao extends GenericDao<Categoria, Long> {
	public Categoria findByIdCategoria(long idCategoria) throws InstanceNotFoundException;

	public List<Categoria> listaCategoria();

	public List<Categoria> listaSubCategoria();

	public List<Categoria> listaCategoriaPadre(long idCategoriaPadre);

	public void borrarCategoria(Categoria categoria);

}
