/*
 * Tienda online
 * Proyecto Fin de Máster de Ingeniería Informatica UOC
 * Emilio Domínguez Sánchez
 * 
 */

package tiendaonline.model.comentario;

import java.util.List;

import es.udc.pojo.modelutil.dao.GenericDao;

/**
 *
 * @author emilio
 */
public interface ComentarioDao extends GenericDao<Comentario, Long> {
	/**
	 * Returns an Comentario by idComentario ( not identifier)
	 *
	 * @param idComentario
	 * @return Comentario
	 */
	
	public void anadirComentario(Comentario comentario);

	public List<Comentario> listaComentario();

	public List<Comentario> listaComentario(long idRopa);

	public void borrarComentario(Comentario comentario);

}
