/*
 * Tienda online
 * Proyecto Fin de Máster de Ingeniería Informatica UOC
 * Emilio Domínguez Sánchez
 * 
 */

package tiendaonline.model.stocktalla;

import java.util.List;

import es.udc.pojo.modelutil.dao.GenericDao;

/**
 *
 * @author emilio
 */
public interface StockTallaDao extends GenericDao<StockTalla, Long> {
	/**
	 * Returns an StockTalla by StockTalla ( StockTalla identifier)
	 *
	 * @param idStockTalla
	 *            the StockTalla identifier
	 * @return the StockTalla
	 */

	public void anadirStockTalla(StockTalla stocktalla);

	public List<StockTalla> listaStockTalla();

	public List<StockTalla> listaStockTalla(long idRopa);

	public void borrarStock(StockTalla stock);
}
