/*
 * Tienda online
 * Proyecto Fin de Máster de Ingeniería Informatica UOC
 * Emilio Domínguez Sánchez
 * 
 */
package tiendaonline.web.pages;

import java.util.List;

import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.ioc.annotations.Inject;

import tiendaonline.model.administradorservice.AdministradorService;

/**
 *
 * @author Emilio
 */

import tiendaonline.model.etiqueta.Etiqueta;
import tiendaonline.web.services.Private;

@Private
public class AdministracionEtiquetas {

	@Property
	Etiqueta etiqueta;

	@Inject
	private AdministradorService administradorService;

	public List<Etiqueta> getListaEtiqueta() {
		return administradorService.listaEtiqueta();
	}

	public List<Etiqueta> getEtiquetas() {
		return administradorService.listaEtiqueta();

	}

}
