/*
 * Tienda online
 * Proyecto Fin de Máster de Ingeniería Informatica UOC
 * Emilio Domínguez Sánchez
 * 
 */
package tiendaonline.web.pages.pedido;

import java.util.List;

import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.annotations.SessionState;
import org.apache.tapestry5.ioc.annotations.Inject;

import tiendaonline.model.pedido.Pedido;
import tiendaonline.model.pedidoservice.PedidoService;
import tiendaonline.web.services.Private;
import tiendaonline.web.util.UserSession;

/**
 *
 * @author emilio
 */
@Private
public class MisPedidos {

	@SessionState(create = false)
	private UserSession userSession;
	@Property
	Pedido pedido;

	@Inject
	private PedidoService pedidoService;

	public List<Pedido> getPedidosTramitados() {
		return pedidoService.listaPedidosPorUser(userSession.getUserProfileId());

	}

}
