/*
 * Tienda online
 * Proyecto Fin de Máster de Ingeniería Informatica UOC
 * Emilio Domínguez Sánchez
 * 
 */
package tiendaonline.web.pages.ropa;

import java.sql.SQLException;

import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.ioc.annotations.Inject;

import es.udc.pojo.modelutil.exceptions.InstanceNotFoundException;
import tiendaonline.model.ropa.Ropa;
import tiendaonline.model.ropaservice.RopaService;
import tiendaonline.model.stocktalla.StockTalla;
import tiendaonline.web.services.Private;

/**
 *
 * @author emilio
 */
@Private

public class AnadirStock {

	Ropa ropa;
	@Inject
	private RopaService ropaService;

	@Property
	private int stock;

	@Property
	private String talla;

	void onActivate(long ropaId) throws InstanceNotFoundException {
		ropa = ropaService.findRopa(ropaId);
	}

	long onPassivate() {

		return ropa.getIdRopa();
	}

	void onValidateFromAnadirStockForm() throws InstanceNotFoundException, SQLException {

		StockTalla stockTalla = ropaService.registrarStockTalla(talla, stock, ropa);

	}

}
