/*
 * Tienda online
 * Proyecto Fin de Máster de Ingeniería Informatica UOC
 * Emilio Domínguez Sánchez
 * 
 */
package tiendaonline.web.pages.user;

import java.util.List;

import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.ioc.annotations.Inject;

import es.udc.pojo.modelutil.exceptions.InstanceNotFoundException;
import tiendaonline.model.administradorservice.AdministradorService;
import tiendaonline.model.userprofile.UserProfile;
import tiendaonline.web.services.Private;

/**
 *
 * @author emilio
 */
@Private
public class AdministracionUsuarios {

	@Property
	private UserProfile userProfile;
	/*
	 * @Inject
	 * 
	 * @Path
	 * ("context:/home/emilio/Dropbox/Facultad/PFC/pojo-app/img/Pantalon_Depor1.png")
	 * private Asset imagen1;
	 */

	@Inject
	private AdministradorService administradorService;

	public List<UserProfile> getListaUsuarios() throws InstanceNotFoundException {
		return administradorService.getListaUsuarios();
	}

	Object onActionFromdarPrivilegios(long userId) throws InstanceNotFoundException {
		administradorService.setPrivilegios("Administrador", userId);

		return AdministracionUsuarios.class;
	}

	Object onActionFromquitarPrivilegios(long userId) throws InstanceNotFoundException {
		administradorService.setPrivilegios(" ", userId);

		return AdministracionUsuarios.class;
	}

}
